Bug 1011564 - error every 10 minutes from /etc/gdm/Xsession about an assertion failure in libxfce4util
error every 10 minutes from /etc/gdm/Xsession about an assertion failure in l...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-weather-plugin (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 10:33 EDT by Andrew J. Schorr
Modified: 2015-02-18 06:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:29:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew J. Schorr 2013-09-24 10:33:05 EDT
Description of problem: After upgrading to Fedora 19, I see this error message
every 10 minutes:

Sep 24 10:11:57 ti5 /etc/gdm/Xsession[6103]: [ID user.warning] (wrapper:6429): libxfce4util-CRITICAL **: IA__xfce_rc_write_entry: assertion `value != NULL' failed
Sep 24 10:21:57 ti5 /etc/gdm/Xsession[6103]: [ID user.warning] (wrapper:6429): libxfce4util-CRITICAL **: IA__xfce_rc_write_entry: assertion `value != NULL' failed



Version-Release number of selected component (if applicable):
libxfce4util-4.10.1-1.fc19.x86_64


How reproducible: Log in with xfce


Steps to Reproduce:
1. Upgrade to Fedora 19
2. Login to an xfce session
3.

Actual results: Error messages every 10 minutes.


Expected results: No errors.


Additional info:
Comment 1 Andrew J. Schorr 2013-09-24 11:04:31 EDT
Based on an strace, it looks like this message is coming from the weather plugin.  Here is the process that emitting the error:

schorr    6429  0.0  0.2 288612  5672 ?        S    Sep23   0:01 /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libweather.so 16 10485794 weather Weather Update Show current weather conditions 

Perhaps the weather configuration was somehow lost during the upgrade, but this behavior is certainly not elegant.  Here's what the trace looks like leading up to
the error message:

10:51:57 write(4, "\1\0\0\0\0\0\0\0", 8) = 8
10:51:57 recvmsg(5, {msg_name(0)=NULL, msg_iov(1)=[{"l\4\1\1\24\0\0\0\33\2\0\0v\0\0\0\1\1o\0\32\0\0\0/org/xfc"..., 2048}], msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, MSG_CMSG_CLOEXEC) = 156
10:51:57 write(4, "\1\0\0\0\0\0\0\0", 8) = 8
10:51:57 recvmsg(5, 0x7fffb35b6a40, MSG_CMSG_CLOEXEC) = -1 EAGAIN (Resource temporarily unavailable)
10:51:57 write(4, "\1\0\0\0\0\0\0\0", 8) = 8
10:51:57 recvfrom(3, 0x8a9ee4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
10:51:57 poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=6, events=POLLIN}, {fd=5, events=POLLIN}], 4, 0) = 1 ([{fd=4, revents=POLLIN}])
10:51:57 umask(0)                       = 022
10:51:57 umask(022)                     = 0
10:51:57 mkdir("/home", 0777)           = -1 EEXIST (File exists)
10:51:57 stat("/home", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
10:51:57 mkdir("/home/users", 0777)     = -1 EEXIST (File exists)
10:51:57 stat("/home/users", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
10:51:57 mkdir("/home/users/schorr", 0777) = -1 EEXIST (File exists)
10:51:57 stat("/home/users/schorr", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
10:51:57 mkdir("/home/users/schorr/.config", 0777) = -1 EEXIST (File exists)
10:51:57 stat("/home/users/schorr/.config", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
10:51:57 mkdir("/home/users/schorr/.config/xfce4", 0777) = -1 EEXIST (File exists)
10:51:57 stat("/home/users/schorr/.config/xfce4", {st_mode=S_IFDIR|0755, st_size=74, ...}) = 0
10:51:57 umask(022)                     = 022
10:51:57 mkdir("/home/users/schorr/.config/xfce4/panel", 0700) = -1 EEXIST (File exists)
10:51:57 stat("/home/users/schorr/.config/xfce4/panel", {st_mode=S_IFDIR|0755, st_size=128, ...}) = 0
10:51:57 unlink("/home/users/schorr/.config/xfce4/panel/weather-16.rc") = 0
10:51:57 stat("/home/users/schorr/.config/xfce4/panel/weather-16.rc", 0x7fffb35b61d0) = -1 ENOENT (No such file or directory)
10:51:57 write(2, "\n(wrapper:6429): libxfce4util-CR"..., 101) = 101
10:51:57 open("/home/users/schorr/.config/xfce4/panel/weather-16.rc.6429.tmp", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 7
10:51:57 fstat(7, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
10:51:57 mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f9beb9ee000
10:51:57 write(7, "msl=0\ncache_file_max_age=172800\n"..., 401) = 401
10:51:57 close(7)                       = 0
10:51:57 munmap(0x7f9beb9ee000, 4096)   = 0
10:51:57 rename("/home/users/schorr/.config/xfce4/panel/weather-16.rc.6429.tmp", "/home/users/schorr/.config/xfce4/panel/weather-16.rc") = 0
10:51:57 recvfrom(3, 0x8a9ee4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
10:51:57 poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=6, events=POLLIN}, {fd=5, events=POLLIN}], 4, 941) = 1 ([{fd=4, revents=POLLIN}])
10:51:57 read(4, "\3\0\0\0\0\0\0\0", 16) = 8
Comment 2 Andrew J. Schorr 2013-09-24 11:09:06 EDT
Relevant versions:

xfce4-weather-plugin-0.8.3-1.fc19.x86_64
xfce4-panel-4.10.1-1.fc19.x86_64
Comment 3 Kevin Fenzi 2013-09-24 17:00:01 EDT
Strange. Does a 'yum distro-sync' change any of your package set related to Xfce? 

Otherwise you do have a "/home/users/schorr/.config/xfce4/panel/" directory? With anything in it?
Comment 4 Andrew J. Schorr 2013-09-24 17:36:40 EDT
Yes, there are some files in there:

bash-4.2$ find /home/users/schorr/.config/xfce4/panel -type f -ls
83886295    4 -rw-r--r--   1 schorr   ead            57 Jun 18  2012 /home/users/schorr/.config/xfce4/panel/xfce4-mixer-plugin-15.rc
92274835    4 -rw-r--r--   1 schorr   ead           304 May 11  2012 /home/users/schorr/.config/xfce4/panel/launcher-12/13367661134.desktop
117440692    4 -rw-r--r--   1 schorr   ead           384 May 11  2012 /home/users/schorr/.config/xfce4/panel/launcher-10/13367661132.desktop
117440694    4 -rw-r--r--   1 schorr   ead           332 May 11  2012 /home/users/schorr/.config/xfce4/panel/launcher-9/13367661131.desktop
117440696    4 -rw-r--r--   1 schorr   ead           366 May 11  2012 /home/users/schorr/.config/xfce4/panel/launcher-11/13367661133.desktop
83886294    4 -rw-r--r--   1 schorr   ead           401 Sep 24 17:31 /home/users/schorr/.config/xfce4/panel/weather-16.rc

The weather-16.rc file says:

bash-4.2$ cat /home/users/schorr/.config/xfce4/panel/weather-16.rc
msl=0
cache_file_max_age=172800
power_saving=true
units_temperature=0
units_pressure=0
units_windspeed=0
units_precipitations=0
units_altitude=0
model_apparent_temperature=2
round=true
tooltip_style=1
forecast_layout=1
forecast_days=5
scrollbox_animate=true
theme_dir=/usr/share/xfce4/weather/icons/liquid
show_scrollbox=true
scrollbox_lines=1
scrollbox_color=#000000000000
scrollbox_use_color=false

I imagine that reconfiguring the weather applet may solve the problem,
but I'm not in the office today to give it a try.  I will try tomorrow.
Comment 5 Fedora End Of Life 2015-01-09 17:18:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 06:29:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.